Bulk Add / Update GLV Data
POST
https://data.onxecta.com/api/production/glv
Body Parameters
- bodyGasLiftValveInput[]required
- sourceWellIdstringrequiredDescriptionMax Length100
- sourceWellboreIdstringrequiredDescriptionMax Length100
- sourceTubingIdstringrequiredDescriptionMax Length100
- sourceIdstringrequiredDescriptionMax Length100
- runDatestring<date-time>requiredDescriptionFormatdate-time
- pullDatestring<date-time>DescriptionFormatdate-time
- glvStationinteger<int32>DescriptionFormatint32
- installMdnumber<double>requiredDescriptionFormatdouble
- testRackOpenPressurenumber<double>DescriptionFormatdouble
- surfaceOpenPressurenumber<double>requiredDescriptionFormatdouble
- surfaceClosePressurenumber<double>requiredDescriptionFormatdouble
- portSizenumber<double>requiredDescriptionFormatdouble
- rnumber<double>DescriptionFormatdouble
- nominalValveSizenumber<double>DescriptionFormatdouble
Responses
200
- GasLiftValve[]
- xidstring<uuid>requiredFormatuuid
- tubingXidstring<uuid>requiredFormatuuid
- sourceIdstringrequiredDescription
- runDatestring<date-time>requiredDescriptionFormatdate-time
- pullDatestring<date-time>DescriptionFormatdate-time
- glvStationinteger<int32>DescriptionFormatint32
- installMdnumber<double>requiredDescriptionFormatdouble
- testRackOpenPressurenumber<double>DescriptionFormatdouble
- surfaceOpenPressurenumber<double>requiredDescriptionFormatdouble
- surfaceClosePressurenumber<double>requiredDescriptionFormatdouble
- portSizenumber<double>requiredDescriptionFormatdouble
- rnumber<double>DescriptionFormatdouble
- nominalValveSizenumber<double>DescriptionFormatdouble
curl
curl --request POST \
--url https://data.onxecta.com/api/production/glv \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '[
{
"sourceWellId": "",
"sourceWellboreId": "",
"sourceTubingId": "",
"sourceId": "",
"runDate": "",
"installMd": "",
"surfaceOpenPressure": "",
"surfaceClosePressure": "",
"portSize": ""
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify([
{
"sourceWellId": "",
"sourceWellboreId": "",
"sourceTubingId": "",
"sourceId": "",
"runDate": "",
"installMd": "",
"surfaceOpenPressure": "",
"surfaceClosePressure": "",
"portSize": ""
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://data.onxecta.com/api/production/glv", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://data.onxecta.com/api/production/glv"
payload = json.dumps([
{
"sourceWellId": "",
"sourceWellboreId": "",
"sourceTubingId": "",
"sourceId": "",
"runDate": "",
"installMd": "",
"surfaceOpenPressure": "",
"surfaceClosePressure": "",
"portSize": ""
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
csharp
var options = new RestClientOptions("https://data.onxecta.com")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/api/production/glv", Method.Post);
request.AddHeader("accept", "application/json");
request.AddHeader("content-type", "application/json");
var body = @"[" + "\n" +
@" {" + "\n" +
@" ""sourceWellId"": """"," + "\n" +
@" ""sourceWellboreId"": """"," + "\n" +
@" ""sourceTubingId"": """"," + "\n" +
@" ""sourceId"": """"," + "\n" +
@" ""runDate"": """"," + "\n" +
@" ""installMd"": """"," + "\n" +
@" ""surfaceOpenPressure"": """"," + "\n" +
@" ""surfaceClosePressure"": """"," + "\n" +
@" ""portSize"": """"" + "\n" +
@" }" + "\n" +
@"]";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "[\n {\n \"sourceWellId\": \"\",\n \"sourceWellboreId\": \"\",\n \"sourceTubingId\": \"\",\n \"sourceId\": \"\",\n \"runDate\": \"\",\n \"installMd\": \"\",\n \"surfaceOpenPressure\": \"\",\n \"surfaceClosePressure\": \"\",\n \"portSize\": \"\"\n }\n]");
Request request = new Request.Builder()
.url("https://data.onxecta.com/api/production/glv")
.method("POST", body)
.addHeader("accept", "application/json")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();200
// OK
[
{
"xid": "",
"tubingXid": "",
"sourceId": "",
"runDate": "",
"pullDate": "",
"glvStation": "",
"installMd": "",
"testRackOpenPressure": "",
"surfaceOpenPressure": "",
"surfaceClosePressure": "",
"portSize": "",
"r": "",
"nominalValveSize": ""
}
]